var g_URLdir = '/~dev_rating/';
var URLdir = g_URLdir;
var g_SitePath = 'http://mmcs.sfedu.ru/rating';
var SitePath = g_SitePath;

// Далее юзаем глобальные переменные с префиксом "g"

// Common.js

var Auth = (function () {
    var allowRequest = true;

    return {
        signIn: function (login, pass, callback) {
            if (!allowRequest) return;
            allowRequest = false;

            var self = this;
            this.onDeprecate();

            $.post(URLdir + 'handler/sign/in', {
                'login': login,
                'password': pass
            }, function (data) {
                data = $.parseJSON(data);
                callback(data.success === true);

                allowRequest = true;
                self.onAllow();
            });
        },

        onAllow: function () { },

        onDeprecate: function () { }
    }
})();

var Watcher = (function() {
    var timer = 0;
    return function(ms, callback) {
        clearTimeout(timer);
        timer = setTimeout(callback, ms);
    };
})();
