var $ = jQuery;
$(function() {

	var checkInput = new Array(); // Массив с ключами валидации (true/false)
	$(document)
	.on('click', '.changeLogin', function()
	{
		var jInputLogin = $(".inputLogin").first();
		var jChangeLogin = $(".changeLogin").first();
		var login = jInputLogin.val();
		jChangeLogin.attr("disabled", true);
		if (/^[a-zA-Z0-9]+$/.test(login))
			checkInput['login'] = true;
		else
			checkInput['login'] = false;

		if (checkInput['login'] === true) {
			jInputLogin.attr("disabled", true);
			$.post(URLdir + 'handler/settings/changeLogin', {'login': login},
				function(data){
					data = $.parseJSON(data);
					jInputLogin.removeAttr("disabled");
					jChangeLogin.removeAttr("disabled");

					if(data.success === true) {
						EventInspector_ShowMsg('Логин изменен', 'success');
						jInputLogin.bind("keydown", function(event){ event.preventDefault(); });
						jChangeLogin.html("Логин изменен!").unbind("click");
					} else
						EventInspector_ShowMsg('Не удалось изменить логин', 'error');
				}
			);
		}
	});

	$('.changeEmail').click(function(){
		if (/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,6})$/.test($('.inputNewEmail').val()))
			checkInput['email'] = true;
		else checkInput['email'] = false;

		/*alert(checkInput['email']);
		if (checkInput['email'] == true)
			$.post(URLdir+'/handler/settings/changeEmail', {'email': $('.inputNewEmail').val()},
				function(data){

				}
			);
		*/
	});

	$(document)
	.on('click', '.changePass', function()
	{
		var jChangePass = $(".changePass").first();

		var jInputPwdCurrent = $('.inputCurrentPass').first();
		var jInputPwdNew = $('.inputNewPass').first();
		var jInputPwdConfirm = $('.inputСonfirmPass').first();
		jChangePass.attr("disabled", true);

		var pwdCurrent = $.trim(jInputPwdCurrent.val());
		var pwdConfirm = $.trim(jInputPwdConfirm.val());
		var pwdNew = $.trim(jInputPwdNew.val());

		if (pwdCurrent === '' || pwdNew === '' || pwdNew !== pwdConfirm) {
			EventInspector_ShowMsg('Не удалось изменить пароль', 'error');
			jChangePass.removeAttr("disabled");
			return;
		}


		$.post(URLdir + 'handler/settings/changePassword',
			{
				'old_password': pwdCurrent,
				'password': pwdNew,
				'confirm_password': pwdConfirm
			},
			function(data) {
				data = $.parseJSON(data);

				if(data.success === true) {
					EventInspector_ShowMsg('Пароль изменен', 'success');
					jChangePass.html("Пароль изменен!").unbind("click");
					jInputPwdCurrent.attr("disabled", true);
					jInputPwdConfirm.attr("disabled", true);
					jInputPwdNew.attr("disabled", true);

				} else
					EventInspector_ShowMsg('Не удалось изменить пароль', 'error');

				jChangePass.removeAttr("disabled");
			}
		);
	});


});
